Create template custom field
curl --request POST \
--url https://api.firma.dev/functions/v1/signing-request-api/templates/{template_id}/custom-fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"field_label": "<string>",
"field_name": "<string>"
}
'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/templates/{template_id}/custom-fields"
payload = {
"field_label": "<string>",
"field_name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({field_label: '<string>', field_name: '<string>'})
};
fetch('https://api.firma.dev/functions/v1/signing-request-api/templates/{template_id}/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field_name": "<string>",
"field_label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Validation Error",
"message": "Invalid input data",
"details": {
"name": "Name is required",
"email": "Invalid email format"
}
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Custom Fields
Create template custom field
Create a new custom field definition for a template
POST
/
templates
/
{template_id}
/
custom-fields
Create template custom field
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Body
application/json
Was this page helpful?
⌘I